Subject: RE: [PATCH net-next 1/3] net: txgbe: expend SW-FW mailbox buffer size to identify QSFP module

From: Jiawen Wu <[email-masked]>
Date: Fri, 10 Oct 2025 15:42:00 +0800

On Mon, Sep 29, 2025 9:52 PM, Simon Horman wrote:
> On Sun, Sep 28, 2025 at 05:39:21PM +0800, Jiawen Wu wrote:
> > In order to identify 40G and 100G QSFP modules, expend mailbox buffer
> > size to store more information read from the firmware.
> 
> Hi,
> 
> I see that the message size is increased by 4 bytes,
> including two new one-byte fields.
> But I don't see how that is used by this patchset.
> Could you expand on this a little?

It is used for QSFP modules, I haven't added the part of these modules yet.
But the firmware was changed. So when using the new firmware, the module
cannot be identified due to incorrect length of mailbox buffer.